#pragma once
#include <common.h>
#include <render/utils/buffer.h>

namespace render{
namespace sprite{

struct vert
{
    vec2f vert;
    vec2f uv;
    vec4f color;
};

void init();
void free();

void draw(const vert *data, uint count);
void draw(render::utils::buffer<vert>*);
void flush();

void saveBuffer(render::utils::buffer<vert> *buffer);

class textureAtlas;

}}
